=== debian/changelog ===
l2tp-ipsec-vpn-daemon (0.9.6-1) unstable; urgency=low

  * New upstream release
    - Makefile:
      o added clobber and uninstall target

  * debian/control: 
    - Changed architecture from any to linux-any (Closes: #639434)

 -- Werner Jaeger <werner_jaeger@web.de>  Sun, 28 Aug 2011 12:35:41 +0200

l2tp-ipsec-vpn-daemon (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #602505)

 -- Werner Jaeger <werner_jaeger@web.de>  Wed, 3 Aug 2011 07:40:51 +0200
