=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export INSTALL_ROOT=$(CURDIR)/debian/l2tp-ipsec-vpn-daemon

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changelog
