## l2tp-ipsec-vpn-daemon 0.9.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 27 2011-08-16 00:57:22Z werner $
+# $Id: Makefile 35 2012-03-13 01:23:03Z werner $
 #
 # File:   Makefile
 # Author: Werner Jaeger
@@ -43,9 +43,25 @@
 # install
 install: nbproject/qt-${CONF}.mk
 	make -f nbproject/qt-${CONF}.mk install
+	@if [  "$${INSTALL_ROOT}" = "" -a ! -x "/etc/init.d/l2tp-ipsec-vpn-daemon" ]; then \
+		cp debian/l2tp-ipsec-vpn-daemon.init /etc/init.d/l2tp-ipsec-vpn-daemon; \
+		cp debian/l2tp-ipsec-vpn-daemon.default /etc/default/l2tp-ipsec-vpn-daemon; \
+		chmod +x /etc/init.d/l2tp-ipsec-vpn-daemon; \
+   fi
+	@if [ "$${INSTALL_ROOT}" = "" ]; then \
+      update-rc.d l2tp-ipsec-vpn-daemon defaults >/dev/null; \
+	   invoke-rc.d l2tp-ipsec-vpn-daemon start; \
+ 	fi
 
 # uninstall
 uninstall: nbproject/qt-${CONF}.mk
+	@if [ -x "/etc/init.d/l2tp-ipsec-vpn-daemon" ]; then \
+		invoke-rc.d l2tp-ipsec-vpn-daemon stop; \
+		update-rc.d -f l2tp-ipsec-vpn-daemon remove >/dev/null; \
+		rm -f /etc/init.d/l2tp-ipsec-vpn-daemon; \
+		rm -f /etc/default/l2tp-ipsec-vpn-daemon; \
+	fi
+	rm -rf $(INSTALL_ROOT)/var/run/L2tpIPsecVpnControlDaemon
 	make -f nbproject/qt-${CONF}.mk uninstall
 
 # clean
