## l2tp-ipsec-vpn-daemon 0.9.9

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 35 2012-03-13 01:23:03Z werner $
+# $Id: Makefile 50 2012-05-21 07:32:02Z wejaeger $
 #
 # File:   Makefile
 # Author: Werner Jaeger
@@ -29,12 +29,33 @@
 CONF ?= ${DEFAULTCONF}
 
 # All Configurations
-ALLCONFS=Debug Release 
+ALLCONFS=Debug Release
 
 # various directories
 BUILDDIR = build/${CONF}
 GENDIR = src/generated
 DISTDIR = dist/${CONF}
+
+# Distribution specific configurations
+QMAKE      := $(firstword $(wildcard /usr/bin/qmake /usr/bin/qmake-qt4))
+CHKCONFIG  := $(wildcard /sbin/chkconfig)
+UPDATE_RCD := $(wildcard /usr/sbin/update-rc.d)
+
+ifneq (,$(CHKCONFIG))
+   ADD_INITD := $(CHKCONFIG) --add l2tp-ipsec-vpn-daemon
+   REMOVE_INITD := $(CHKCONFIG) --del l2tp-ipsec-vpn-daemon
+else
+	ifndef (,$(UPDATE_RCD))
+      ADD_INITD := $(UPDATE_RCD) l2tp-ipsec-vpn-daemon defaults
+      REMOVE_INITD := $(UPDATE_RCD) -f l2tp-ipsec-vpn-daemon remove
+   endif
+endif
+
+INITRD_DIR  := $(firstword $(wildcard /etc/rc.d/init.d /etc/init.d))
+ISDEBIAN    := $(wildcard /etc/debian_version)
+ifneq (,$(ISDEBIAN))
+   DEFAULT_DIR := $(wildcard /etc/default)
+endif
 
 # build
 build: nbproject/qt-${CONF}.mk
@@ -43,24 +64,31 @@
 # install
 install: nbproject/qt-${CONF}.mk
 	make -f nbproject/qt-${CONF}.mk install
-	@if [  "$${INSTALL_ROOT}" = "" -a ! -x "/etc/init.d/l2tp-ipsec-vpn-daemon" ]; then \
-		cp debian/l2tp-ipsec-vpn-daemon.init /etc/init.d/l2tp-ipsec-vpn-daemon; \
-		cp debian/l2tp-ipsec-vpn-daemon.default /etc/default/l2tp-ipsec-vpn-daemon; \
-		chmod +x /etc/init.d/l2tp-ipsec-vpn-daemon; \
-   fi
-	@if [ "$${INSTALL_ROOT}" = "" ]; then \
-      update-rc.d l2tp-ipsec-vpn-daemon defaults >/dev/null; \
-	   invoke-rc.d l2tp-ipsec-vpn-daemon start; \
- 	fi
+	mkdir -p $(INSTALL_ROOT)$(INITRD_DIR)
+	cp etc/l2tp-ipsec-vpn-daemon.init $(INSTALL_ROOT)$(INITRD_DIR)/l2tp-ipsec-vpn-daemon
+	chmod +x $(INSTALL_ROOT)$(INITRD_DIR)/l2tp-ipsec-vpn-daemon
+ifneq (,$(DEFAULT_DIR))
+	mkdir -p $(INSTALL_ROOT)$(DEFAULT_DIR)
+	cp etc/l2tp-ipsec-vpn-daemon.default $(INSTALL_ROOT)$(DEFAULT_DIR)/l2tp-ipsec-vpn-daemon
+endif
+
+ifneq (,$(ADD_INITD))
+ifeq ($(strip $(INSTALL_ROOT)),)
+		$(ADD_INITD) >/dev/null
+		service l2tp-ipsec-vpn-daemon start
+endif
+endif
 
 # uninstall
 uninstall: nbproject/qt-${CONF}.mk
-	@if [ -x "/etc/init.d/l2tp-ipsec-vpn-daemon" ]; then \
-		invoke-rc.d l2tp-ipsec-vpn-daemon stop; \
-		update-rc.d -f l2tp-ipsec-vpn-daemon remove >/dev/null; \
-		rm -f /etc/init.d/l2tp-ipsec-vpn-daemon; \
-		rm -f /etc/default/l2tp-ipsec-vpn-daemon; \
+	@if [ -x "$(INITRD_DIR)/l2tp-ipsec-vpn-daemon" ]; then \
+		service l2tp-ipsec-vpn-daemon stop; \
+		$(REMOVE_INITD) >/dev/null; \
+		rm -f $(INITRD_DIR)/l2tp-ipsec-vpn-daemon; \
 	fi
+ifneq (,$(DEFAULT_DIR))
+	rm -f $(DEFAULT_DIR)/l2tp-ipsec-vpn-daemon
+endif
 	rm -rf $(INSTALL_ROOT)/var/run/L2tpIPsecVpnControlDaemon
 	make -f nbproject/qt-${CONF}.mk uninstall
 
@@ -73,12 +101,15 @@
 	rm -f nbproject/*.bash
 	rm -f *.mk
 
-# clobber 
+# clobber
 clobber:
 	@for CONF in ${ALLCONFS}; \
 	do \
 	    make CONF=$${CONF} clean; \
 	done
+
+srccheck:
+	cppcheck -q -I src -I ${GENDIR} --enable=all src
 
 # help
 help:
@@ -89,6 +120,7 @@
 	@echo "    build  (default target)"
 	@echo "    clean"
 	@echo "    clobber"
+	@echo "    srccheck"
 	@echo "    install"
 	@echo "    uninstall"
 	@echo "    help"
@@ -104,6 +136,7 @@
 	@echo "Target 'build' will build a specific configuration."
 	@echo "Target 'clean' will remove all built files from a specific configuration."
 	@echo "Target 'clobber' will remove all built files from all configurations"
+	@echo "Target 'srccheck' performs a static source code check using cppcheck"
 	@echo "Target 'install' will install a specific configuration of the program"
 	@echo "       in [INSTALL_ROOT]/usr/lib/l2tp-ipsec-vpn-daemon/"
 	@echo "Target 'uninstall' will uninstall the program from [INSTALL_ROOT]/usr/lib/l2tp-ipsec-vpn-daemon/"
@@ -111,6 +144,6 @@
 	@echo ""
 
 nbproject/qt-${CONF}.mk: nbproject/qt-${CONF}.pro
-	qmake-qt4 -o qttmp-${CONF}.mk -after "OBJECTS_DIR=${BUILDDIR}" "DESTDIR=${DISTDIR}" nbproject/qt-${CONF}.pro
+	${QMAKE} -o qttmp-${CONF}.mk -after "OBJECTS_DIR=${BUILDDIR}" "DESTDIR=${DISTDIR}" nbproject/qt-${CONF}.pro
 	mv -f qttmp-${CONF}.mk nbproject/qt-${CONF}.mk
