=== debian/changelog ===
l2tp-ipsec-vpn-daemon (0.9.9-1) unstable; urgency=low

  * New upstream release
    - init script is now usable for various linux distributions, not only for 
      debian/ubuntu
    - to be compatible with more linux distributions use service command 
      instead of invoke-rc.d command to start and stop runlevel services
    - fixed FTBFS because gcc-4.7 no longer includes unistd.h

 -- Werner Jaeger <werner_jaeger@web.de>  Mon, 21 May 2012 09:26:48 +0200

l2tp-ipsec-vpn-daemon (0.9.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: src/VpnClientConnection.cpp:167:60: error: '::chown' has
    not been declared": add patch from Paul Tagliamonte (missing includes).
    (Closes: #672042)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 May 2012 21:08:43 +0200
