=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs changelog
 
+override_dh_installinit:
+	dh_installinit --onlyscripts
+
